<?php
include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include 'system/head.php';



$dir = opendir ("/pic/smiles");
while ($file = readdir ($dir)) 
{ if (ereg (".gif$", "$file"))
{$a[]=$file;}}  
closedir ($dir); 
sort($a);

$total = count($a); 
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){ 

$smkod=str_replace(".gif","",$a[$i]);

echo '<img src="/pic/smiled/'.$a[$i].'" alt="">'; 
echo '- :'.$smkod.'<br>';
}


$a=count($a);
$ba=ceil($a/10);
$ba2=floor(($a-1)/10)*10;

echo'<br/>';
$asd=$start-(10*4);
$asd2=$start+(10*5);

if($asd<$a && $asd>0){echo " <a href=\"smile.php?start=0\">1</a> ... ";}

for($i=$asd; $i<$asd2;)
{
if($i<$a && $i>=0){
$ii=floor(1+$i/10);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo " <a href=\"smile.php?start=$i\">$ii</a>";
                     }}


$i=$i+10;}
if($asd2<$a){echo " ... <a href=\"smile.php?start=$ba2\">$ba</a>";}

}else{
header ("Location: index.php"); exit;
}
include 'system/foot.php';
?>
